/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ryuuji.servlet.apoderado;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import logica.ExNihilo;
import logica.Search;
import logica.Utilities;
import orm.Apoderado;
import orm.Profesor;

/**
 *
 * @author ryuuji
 */
@WebServlet(name = "EliminarApoderado", urlPatterns = {"/EliminarApoderado"})
public class EliminarApoderado extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String rut = request.getParameter("rut");
        String id = request.getParameter("id");
        if (!rut.equals("")) {
            if (!id.equals("")) {
                if (Utilities.validarRut(rut, id)) {
                    Apoderado apoderado = Search.buscarApoderado(rut + id);
                    if (apoderado != null) {
                        if (ExNihilo.eliminarApoderado(apoderado)) {
                            request.getRequestDispatcher("ApoderadosServlet").forward(request, response);
                        } else {
                            request.setAttribute("errorEliminar", "A ocurrido un error innesperado");
                            request.getRequestDispatcher("ApoderadosServlet").forward(request, response);
                        }
                    } else {
                        request.setAttribute("errorEliminar", "No existe el apoderado");
                        request.getRequestDispatcher("ApoderadosServlet").forward(request, response);
                    }
                } else {
                    request.setAttribute("errorEliminar", "El rut no es valido");
                    request.getRequestDispatcher("ApoderadosServlet").forward(request, response);
                }
            } else {
                request.setAttribute("errorEliminar", "Debe ingresar el codigo verificador");
                request.getRequestDispatcher("ApoderadosServlet").forward(request, response);
            }
        } else {
            request.setAttribute("errorEliminar", "Debe ingresar un rut");
            request.getRequestDispatcher("ApoderadosServlet").forward(request, response);
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
